Bug 966053 - REST-API: sync DELETE (;async=false) is ignored
REST-API: sync DELETE (;async=false) is ignored
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Ori Liel
Ilia Meerovich
infra
:
Depends On:
Blocks: 1019461
  Show dependency treegraph
 
Reported: 2013-05-22 07:32 EDT by Michael Pasternak
Modified: 2016-02-10 14:09 EST (History)
6 users (show)

See Also:
Fixed In Version: is4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:10:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Pasternak 2013-05-22 07:32:14 EDT
Description of problem:

when URI contains ;async=false, DELETE ignored.
Comment 1 Michael Pasternak 2013-05-22 07:37:13 EDT
Ravi,

please check impacts of bug 957452 on this BZ.
Comment 2 Ori Liel 2013-07-01 10:35:48 EDT
patch posted upstream: 

  http://gerrit.ovirt.org/#/c/16295/
Comment 3 Ilia Meerovich 2013-07-04 12:52:02 EDT
build IS4
After running this code:

import java.io.IOException;

import org.apache.http.client.ClientProtocolException;
import org.ovirt.engine.sdk.Api;
import org.ovirt.engine.sdk.entities.DataCenter;
import org.ovirt.engine.sdk.entities.Version;
import org.ovirt.engine.sdk.exceptions.ServerException;
import org.ovirt.engine.sdk.exceptions.UnsecuredConnectionAttemptError;


public class debugRemove {
        private static final String URL = "https://ilia-rhevm.qa.lab.tlv.redhat.com:443/api";

    public static void main(String[] args) throws ClientProtocolException, ServerException,
            UnsecuredConnectionAttemptError, IOException {
        Api api = new Api(URL, "admin@internal", "123456", true);
        DataCenter dc = new DataCenter();
        Version ver = new Version();
        ver.setMajor(3);
        ver.setMinor(2);
        dc.setName("foo");
        dc.setStorageType("nfs");
        dc.setVersion(ver);
        api.getDataCenters().add(dc);
        org.ovirt.engine.sdk.decorators.DataCenter dcDecor = api.getDataCenters().get("foo");
        dcDecor.delete(false, "667");
    }
}

datacenter was created and removed
Comment 5 Itamar Heim 2014-01-21 17:10:59 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.